/**
 * 
 */
package de.cesr.sonomode.analysis;

import de.cesr.sesamgim.aggregate.GimAgentPropertyAggregator;
import de.cesr.sonomode.agent.SonomodeAgent;

/**
 * @author Sascha Holzhauer
 *
 */
public class AgentPropertyAggregator implements
		GimAgentPropertyAggregator<SonomodeAgent> {

	@Override
	public void aggregateAgents(SonomodeAgent surviving, SonomodeAgent other) {
		surviving
				.setOpinion((surviving.getOpinion() + other.getOpinion()) / 2.0);
		surviving.setUncertainty((surviving.getUncertaint() + other
				.getUncertaint()) / 2.0);
	}
}
