/**
 * 
 */
package de.cesr.sonomode.agent;

import de.cesr.sonomode.core.ModelManager;

/**
 * @author holzhauer
 *
 */
public class ExtremeSonomodeAgent extends AbstractSonomodeAgent {


	public ExtremeSonomodeAgent(double opinion, int milieu) {
		super(opinion, 1, milieu);
		if (alogger.isDebugEnabled()) {
			alogger.debug(this + "> Initial opinion: " + opinion);
		}
	}

	@Override
	public boolean isModerate() {
		return false;
	}
	
	/**
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "EXT."
				+ ModelManager.getMan().getIntegerFormat().format(this.id);
	}
}
