/**
 * 
 */
package de.cesr.sonomode.agent;

import org.apache.log4j.Logger;

import de.cesr.sonomode.core.ModelManager;

/**
 * @author holzhauer
 *
 */
public class ModerateSonomodeAgent extends AbstractSonomodeAgent {

	/**
	 * Logger
	 */
	static private Logger logger = Logger
			.getLogger(ModerateSonomodeAgent.class);
	
	public ModerateSonomodeAgent(double opinion, int milieu) {
		super(opinion, 2, milieu);
	}

	@Override
	public boolean isModerate() {
		return true;
	}
	
	/**
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "MOD."
				+ ModelManager.getMan().getIntegerFormat().format(this.id);
	}
}
