/**
 * 
 */
package de.cesr.sonomode.util;

import java.util.ArrayList;
import java.util.Collection;

import org.apache.log4j.Logger;

import repast.simphony.engine.environment.RunEnvironment;
import repast.simphony.engine.schedule.ISchedulableAction;
import repast.simphony.engine.schedule.Schedule;

/**
 * @author holzhauer
 *
 */
public class CustomSchedule extends Schedule{

	public CustomSchedule() {
		super();
		endActions = new CustomScheduleGroup();
	}
	
	/**
	 * After execution, the schedule is broken!
	 * @param logger
	 */
	static public void inspectSchedule(Logger logger) {
		Collection<ISchedulableAction> actions = new ArrayList<ISchedulableAction>();
		for (int i=0; i < RunEnvironment.getInstance().getCurrentSchedule().getActionCount(); i++) {
			ISchedulableAction a = ((Schedule)RunEnvironment.getInstance().getCurrentSchedule()).peekNextAction();
			logger.debug("Next Action name: " + a);
			logger.debug("Next Action time: " + a.getNextTime());
			logger.debug("Next Action prio: " + a.getPriority());
			actions.add(a);
			RunEnvironment.getInstance().getCurrentSchedule().removeAction(a);
		}		
	}
}
