/**
 * 
 */
package de.cesr.sonomode.util;

import java.math.MathContext;

import cern.jet.random.Uniform;
import cern.jet.random.engine.MersenneTwister;

/**
 * @author Sascha Holzhauer
 *
 */
public class TestInteger {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		int j = 0;
		System.out.println(j++);
		int max = Integer.MAX_VALUE;
		System.out.println(max);
		System.out.println(max == Integer.MAX_VALUE);
		max += 1000;
		System.out.println(max);
		System.out.println(max == Integer.MAX_VALUE);
		
		System.out.println("Random numbers");
		Uniform uniform = new Uniform(new MersenneTwister());
		for (int i = 0; i < 100; i++) {
			System.out.println(uniform.nextDoubleFromTo(0.0, Double.POSITIVE_INFINITY));
		}
		
		System.out.println(Double.MAX_VALUE);
		System.out.println(Double.MAX_VALUE + 1000000);
		
		
		System.out.println("Double precision...");
		double number = 2.9131628315690874E190;
		System.out.println(number);
		// number = number << 1;
		System.out.println(MathContext.UNLIMITED.getPrecision());
		System.out.println(MathContext.DECIMAL128.getPrecision());
		System.out.println(number);
		
		System.out.println("Conditions...");
		System.out.println(Boolean.FALSE || Boolean.TRUE && Boolean.TRUE || Boolean.TRUE && Boolean.FALSE);
	}

}
